/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { TrendLineManagerBase } from "./TrendLineManagerBase";
import { List$1 } from "igniteui-angular-core";
import { Point_$type, markType } from "igniteui-angular-core";
/**
 * @hidden
 */
export let PointTrendLineManagerBase = /*@__PURE__*/ (() => {
    class PointTrendLineManagerBase extends TrendLineManagerBase {
        constructor() {
            super();
            this.i = null;
            this.i = new List$1(Point_$type, 0);
        }
        e() {
            this.i.clear();
        }
    }
    PointTrendLineManagerBase.$t = markType(PointTrendLineManagerBase, 'PointTrendLineManagerBase', TrendLineManagerBase.$);
    return PointTrendLineManagerBase;
})();
